package cn.org.spring.wechar.prize.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.*;

import java.io.Serializable;
import java.util.Date;

/**
 * @author： 谢辉
 * @date： 2021/5/19
 * @email: xieh_mail@163.com
 * @description： 话费抽奖记录表
 * @modifiedBy：
 * @version: 1.0
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ToString
public class RecTelPrizeRecord implements Serializable {
    /**
     * 主键
     */
    private Long id;
    /**
     * 微信用户的openid
     */
    private String openid;
    /**
     * 微信用户昵称
     */
    private String nickname;
    /**
     * 1是男，0是女
     */
    private Integer sex;
    /**
     * 语言
     */
    private String language;
    /**
     * 城市
     */
    private String city;
    /**
     * 省份
     */
    private String province;
    /**
     * 国家
     */
    private String country;
    /**
     * 用户头像url
     */
    private String headimgurl;
    /**
     * 话费奖品表关联id
     */
    private Integer telPrizeId;
    /**
     * 是否已经使用，1已经使用了奖品，0没有使用奖品
     */
    private Integer isUse;
    /**
     * 抽奖时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date drawTime;

    /**
     * 奖品使用时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date useTime;
    /**
     * 奖品过期时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date expirationTime;

    private RecTelPrize recTelPrize;
}
