package cn.org.spring.wechar.prize.mapper;

import cn.org.spring.wechar.prize.entity.RecTelPrizeRecord;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * @author： 谢辉
 * @date： 2021/5/19
 * @email: xieh_mail@163.com
 * @description： 用户话费抽奖记录
 * @modifiedBy：
 * @version: 1.0
 */
@Mapper
public interface RecTelPrizeRecordMapper {

    /**
     * 根据微信的openid查询用户当前可用话费优惠券信息
     *
     * @param openid
     * @return
     */
    RecTelPrizeRecord selectUnUsePrize(@Param("openid") String openid);

    /**
     * 插入用户抽奖信息
     *
     * @param recTelPrizeRecord
     * @return
     */
    int insert(RecTelPrizeRecord recTelPrizeRecord);

    /**
     * 更新用户抽奖信息
     *
     * @param recTelPrizeRecord
     * @return
     */
    int update(RecTelPrizeRecord recTelPrizeRecord);


}
